]> git.pld-linux.org Git - packages/rpm.git/blame - rpm-javadeps.patch
add java_min_classdataversion support
[packages/rpm.git] / rpm-javadeps.patch
CommitLineData
2f610562
JB
1--- rpm-4.4.9/lib/rpmfc.c.orig 2007-05-22 20:19:05.990914000 +0200
2+++ rpm-4.4.9/lib/rpmfc.c 2007-05-22 22:12:38.775152636 +0200
775829eb
JR
3@@ -875,6 +875,10 @@
4 xx = rpmfcHelper(fc, 'P', "gstreamer");
5 /* XXX: currently of no use, but for the sake of consistency... */
6 xx = rpmfcHelper(fc, 'R', "gstreamer");
2f610562
JB
7+ } else
8+ if (fc->fcolor->vals[fc->ix] & RPMFC_JAVA) {
775829eb
JR
9+ xx = rpmfcHelper(fc, 'P', "java");
10+ xx = rpmfcHelper(fc, 'R', "java");
2f610562 11 }
fee89ffa 12
775829eb
JR
13 /*@-observertrans@*/
14--- rpm-4.4.9/macros/java.in.orig 2007-05-24 21:20:49.657284000 +0200
15+++ rpm-4.4.9/macros/java.in 2007-05-24 21:22:32.823163996 +0200
f8cb98ba
JB
16@@ -1416,8 +1416,8 @@
17 #
18 # Note: Used iff _use_internal_dependency_generator is non-zero. The
fee89ffa
AM
19 # helpers are also used by %{_rpmhome}/rpmdeps {--provides|--requires}.
20-%__java_provides %{_rpmhome}/javadeps.sh --provides
21-%__java_requires %{_rpmhome}/javadeps.sh --requires
2f610562 22+%__java_provides %{nil}
e9576b98 23+%__java_requires env RPM_BUILD_ROOT=%{buildroot} MIN_CLASSDATAVERSION=%{?java_min_classdataversion} %{_rpmhome}/java-find-requires
f8cb98ba 24
775829eb
JR
25 # The value of CLASSPATH in build scriptlets (iff configured).
26 #
This page took 0.0573050000000001 seconds and 4 git commands to generate.